using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("broker_memo")]
public partial class BrokerMemo
{
    [Key]
    [Column("broker_memo_id")]
    public int BrokerMemoId { get; set; }

    [Column("broker_id")]
    public int? BrokerId { get; set; }

    [Column("broker_memo", TypeName = "citext")]
    public string? BrokerMemo1 { get; set; }

    [Column("broker_memo_date")]
    public DateTime? BrokerMemoDate { get; set; }

    [Column("broker_memo_subject", TypeName = "citext")]
    public string? BrokerMemoSubject { get; set; }

    [Column("memo_maker_id")]
    public int MemoMakerId { get; set; }

    [Column("reserved_field1", TypeName = "citext")]
    public string? ReservedField1 { get; set; }

    [Column("reserved_field2", TypeName = "citext")]
    public string? ReservedField2 { get; set; }

    [Column("reserved_field3", TypeName = "citext")]
    public string? ReservedField3 { get; set; }
}
